\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{3d,arrows.meta}
\usepackage{circuitikz}
\begin{document}

% to be used as \cube[yellow]{x0}{y0}{z0}{xside}{ysize}{zsize}
\newcommand{\cube}[7][blue]{
  \coordinate (O) at (#2,#3,#4);

  \begin{scope}[rounded corners=0.2pt]
    % back
    \draw [fill=#1!10,very thin] (O) -- ++(#5,0,0) -- ++(0,#6,0) -- ++(-#5,0,0) -- cycle;
    % left
    \draw [fill=#1!10,very thin] (O) -- ++(0,#6,0) -- ++(0,0,#7) -- ++(0,-#6,0) -- cycle;
    % bottom
    \draw [fill=#1!10,very thin] (O) -- ++(#5,0,0) -- ++(0,0,#7) -- ++(-#5,0,0) -- cycle;
    % front
    \draw [fill=#1!10,very thin] (O) ++(0,0,#7) -- ++(#5,0,0) -- ++(0,#6,0) -- ++(-#5,0,0) -- cycle;
    % top
    \draw [fill=#1!30,very thin] (O) ++(0,#6,0) -- ++(#5,0,0) -- ++(0,0,#7) -- ++(-#5,0,0) -- cycle;
    % right
    \draw [fill=#1!40,very thin] (O) ++(#5,0,0) -- ++(0,#6,0) -- ++(0,0,#7) -- ++(0,-#6,0) -- cycle;
  \end{scope}
}

\begin{tikzpicture}[>=latex,
    conductor/.style={line width=2pt,orange,rounded corners}]

  % loop
  \def \angle{-60};
  \def \width{5};
  \def \height{4};
  \def \separation{0.2}

  % magnet S
  \cube[blue]{\width}{0}{-0.5}{1}{\height}{1};
  \node at (\width+0.3,\height/2,0) {S};
  
  % magnet N
  \cube[red]{-\width-1}{0}{-0.5}{1}{\height}{1};
  \node at (-\width-1+0.3,\height/2,0) {N};

  \begin{scope}[canvas is zy plane at x=0]
    % Y axis
    \draw[-,gray,line width=2pt] (0,-2) -- (0,\height*1.2);
  \end{scope}

  \begin{scope}[canvas is zx plane at y=0]
    % Z axis
    %\draw[->,gray] (-4,0) -- (4,0) node[below] {Z};
  \end{scope}

  \begin{scope}[canvas is zx plane at y=\height/2]
    \def \start{-\angle};
    \draw (0,0) ++(\start:10mm) arc[start angle=\start, end angle=90, radius=10mm];
  \end{scope}
  
  \begin{scope}[canvas is xy plane at z=0]
    % X axis
    %\draw[->,gray] (-2.5,0) -- (4,0) node[right] {X};

    % centre magnetic field
    %\draw[->, blue] (0,\height/2) coordinate (O) -- ++(3,0);
    
    % magnetic field
    \node[blue] at(\width*0.8,\height/2*1.15) {$\vec{B}$};
    \foreach \h in {0,1,...,{\height}} {
      \draw[->,blue] (-\width*0.9,\h) -- ++(\width*2*0.9,0);
    }

    % conductor
    %\draw[conductor] (0,0) -- (2,0);
  \end{scope}

  % conductor (rotated around y axis)
  \begin{scope}[
      plane origin={(0,0,0)},
      plane x={({cos(\angle)},0,{sin(\angle)})},
      plane y={(0,1,0)},
      canvas is plane
    ]
    \draw[conductor]
    (\separation/2,-1) coordinate (I) -- ++(0,1)
    -- ++({(\width-\separation)/2},0) 
    -- ++(0,\height/2) coordinate (R) -- ++(0,\height/2) 
    -- ++(-\width,0) 
    -- ++(0,-\height/2) coordinate (L) -- ++(0,-\height/2) 
    -- ++({(\width-\separation)/2},0) -- ++(0,-1) coordinate (F);
  \end{scope}

  % external circuit
  \draw (F) to[short] ++(-2,0)
  to[short] ++(0,-2)
  to[ammeter] ++(2,0)
  to[short] ++(\separation,0)
  to[R,l=$R$] ++(2,0)
  |- (I)
  ;
  
  % surface vector
  \begin{scope}[
      plane origin={(0,0,0)},
      plane x={({-sin(\angle)},0,{cos(\angle)})},
      plane y={(0,1,0)},
      canvas is plane
    ]
    \draw[->] (0,\height/2) -- ++(4,0) node[pos=1.1] {$\vec{S}$} ;
  \end{scope}

  
  %% \begin{scope}[canvas is zy plane at x=0]
  %%   \draw[->] (R) -- ++(0:-2) node[pos=1.2] {$\vec{F}_{AD}$};
  %%   \draw[->] (L) -- ++(0:2) node[pos=1.2] {$\vec{F}_{BC}$};
  %% \end{scope}
  
  
\end{tikzpicture}
\end{document}
